Show / Hide Table of Contents

# Class TaggingOptions

##### Inheritance

object
OptionsBase
TaggingOptions

##### Implements

IDisposable

##### Inherited Members

OptionsBase.mObjSet
OptionsBase.mDict
OptionsBase.ColorPtToNumber(ColorPt)
OptionsBase.ColorPtFromNumber(double)
OptionsBase.GetArray(string)
OptionsBase.PutNumber(string, double)
OptionsBase.PutBool(string, bool)
OptionsBase.PutText(string, string)
OptionsBase.PutRect(string, Rect)
OptionsBase.PushBackNumber(string, double)
OptionsBase.PushBackBool(string, bool)
OptionsBase.PushBackText(string, string)
OptionsBase.PushBackRect(string, Rect)
OptionsBase.RectFromArray(Obj)
OptionsBase.insertRectCollection(string, RectCollection, int)
OptionsBase.GetInternalObj()
OptionsBase.Dispose()
OptionsBase.Dispose(bool)
OptionsBase.Destroy()
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: pdftron.PDF

###### Assembly: PDFTronDotNet.dll

##### Syntax

    public class TaggingOptions : OptionsBase, IDisposable

### Constructors

#### TaggingOptions()

Constructor.

##### Declaration

    public TaggingOptions()

### Methods

#### GetDescription()

Gets the value Description from the options object. Alternate description required by some standards. Default is empty, which will automatically attempt to fill it using contextual information (such as TU for Widgets), but explicitly setting this is recommended for better semantics.

##### Declaration

    public string GetDescription()

##### Returns

Type | Description
--- | ---
string | Alternate description required by some standards. Default is empty, which will automatically attempt to fill it using contextual information (such as TU for Widgets), but explicitly setting this is recommended for better semantics.

#### GetInsertIndex()

Gets the value InsertIndex from the options object. The index, in the parent SElement's kids array, at which to insert the new tag. The new element will be inserted before the element at the insert index, where the first element is at index 0. If insert index

> = number of elements, it will be inserted at the end. Default inserts at the end.

##### Declaration

    public int GetInsertIndex()

##### Returns

Type | Description
--- | ---
int | The index, in the parent SElement's kids array, at which to insert the new tag. The new element will be inserted before the element at the insert index, where the first element is at index 0. If insert index >= number of elements, it will be inserted at the end. Default inserts at the end.

#### SetDescription(string)

Sets the value for Description in the options object. Alternate description required by some standards. Default is empty, which will automatically attempt to fill it using contextual information (such as TU for Widgets), but explicitly setting this is recommended for better semantics.

##### Declaration

    public TaggingOptions SetDescription(string value)

##### Parameters

Type | Name | Description
--- | --- | ---
string | value | Alternate description required by some standards. Default is empty, which will automatically attempt to fill it using contextual information (such as TU for Widgets), but explicitly setting this is recommended for better semantics.

##### Returns

Type | Description
--- | ---
TaggingOptions | This object, for call chaining.

#### SetInsertIndex(int)

Sets the value for InsertIndex in the options object. The index, in the parent SElement's kids array, at which to insert the new tag. The new element will be inserted before the element at the insert index, where the first element is at index 0. If insert index

> = number of elements, it will be inserted at the end. Default inserts at the end.

##### Declaration

    public TaggingOptions SetInsertIndex(int value)

##### Parameters

Type | Name | Description
--- | --- | ---
int | value | The index, in the parent SElement's kids array, at which to insert the new tag. The new element will be inserted before the element at the insert index, where the first element is at index 0. If insert index >= number of elements, it will be inserted at the end. Default inserts at the end.

##### Returns

Type | Description
--- | ---
TaggingOptions | This object, for call chaining.

### Implements

IDisposable